aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/already-run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils/already-run.sh')
-rwxr-xr-xtest/common-utils/already-run.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/common-utils/already-run.sh b/test/common-utils/already-run.sh
new file mode 100755
index 0000000..39d6f9e
--- /dev/null
+++ b/test/common-utils/already-run.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "non-root user" test "$(whoami)" = "vscode"
+check "jq" jq --version
+check "curl" curl --version
+check "git" git --version
+check "zsh" zsh --version
+check "ps" ps --version
+check "Oh My Zsh! theme" test -e $HOME/.oh-my-zsh/custom/themes
+
+# Report result
+reportResults \ No newline at end of file